/* File:        cli.h
 * Version:     001
 * Date:        Jul 05, 2009
 * Author:      hueb
 * Description: Header file for UART.
 *              Contains definitions and types.
 *
 * Change history:
 * 001 Jul 05, 2009 hueb Original issue
 */

/******************************************************************************/

#define UART_PORT_COM1 	0x3F8   /* COM1 */
#define UART_IRQ_COM1 	4

#define UART_ABSENT 	0
#define UART_8250 	1
#define UART_16450 	2 	/* 16450 or 8250 with scratch reg. */
#define UART_16550 	3
#define UART_16550A 	4
