#!/bin/bash
# This script copies the kernel image into the floppy image.
SRC="./src"
OBJ="./obj"
BOOT="./boot"

echo "Creating BOCHS image."
losetup /dev/loop1 $BOOT/naos.img
mount /dev/loop1 /mnt
cp $BOOT/kernel.bin /mnt/boot
umount /mnt
losetup -d /dev/loop1

echo "Finished."